System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable

Maps to the SQL Server real data type. For more information, see or SQL Server Books Online.

Represents a floating point number within the range of -3.40E +38 through 3.40E +38 to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the structure using the supplied double parameter.

  A double value which will be used as the of the new structure.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure.

  A floating point number which will be used as the of the new structure.
  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle `` `` To be added

  Computes the sum of the two specified structures.

  A structure that contains the sum of the two specified structures.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared.
- Method
  System.Int32 `` To be added

  Compares this instance to the supplied and returns an indication of their relative values.

  A signed number that indicates the relative values of the instance and the object.

  Return value

  Condition

  Less than zero

  This instance is less than the object.

  Zero

  This instance is the same as the object.

  Greater than zero

  This instance is greater than the object

  -or-

  The object is a null reference (Nothing in Visual Basic)

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle `` `` To be added

  Divides the first structure by the second.

  A SqlInt64 structure that contains the results of the division.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  true if the object is an instance of and the two are equal. Otherwise, false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, then the SqlSingle will be null.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code for this instance.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two operands to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two structures to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlSingle

  The value of this constant is 3.40E+38.

  Represents the maximum value that can be assigned to the property of an instance of the class.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlSingle

  The value of this constant is -3.40E+38.

  Represents the minimum value that can be assigned to property of an instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle `` `` To be added

  Computes the product of the two specified structures.

  A structure that contains the product of the multiplication.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of the two parameters to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlSingle

  For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` `` To be added.

  Computes the sum of the two specified structures.

  A structure that contains the sum of the two specified structures.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` `` To be added.

  Divides the first structure by the second.

  A structure that contains the results of the division.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two SqlSingle parameters to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Single `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two operands to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two structures to determine whether the first is greater than or equl to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of the two parameters to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` `` To be added.

  Computes the product of the two specified structures.

  A structure that contains the product of the multiplication.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` `` To be added.

  Subtracts the second structure from the first.

  A structure that contains the results of the subtraction.

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlSingle `` To be added.

  Negates the of the specified structure.

  A structure that contains the negated value.

  A structure.
- Method
  System.Data.SqlTypes.SqlSingle `` To be added

  Converts the specified to a structure.

  A equivalent to the value that is contained in the specified .

  The to be parsed. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle `` `` To be added

  Subtracts the second structure from the first.

  A structure that contains the results of the subtraction.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Data.SqlTypes.SqlBoolean To be added

  Converts this structure to .

  true if the is non-zero; false if zero; otherwise Null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte To be added

  Converts this structure to .

  A structure whose Value equals the Value of this structure. If the structure's Value is true, the structure's Value will be 1. Otherwise, the structure's Value will be 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal To be added

  Converts this structure to .

  A new SqlDecimal equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble To be added

  Converts this structure to .

  A new SqlDouble equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 To be added

  Converts this structure to .

  A new SqlInt16 equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 To be added

  Converts this structure to .

  A new equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney To be added

  Converts this structure to .

  A equal to the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A representing the value of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to .

  A String object representing the value of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the value of this structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.SqlTypes.SqlSingle

  Zero functions as a constant for the class.

  Represents the zero value that can be assigned to the property of an instance of the class.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")